Page MenuHomePhabricator

Highlight blocking team dependencies with 'blocked-on<team>' tags
Closed, ResolvedPublic

Description

Per discussion at the SoS and on the engineering list:

  • Name: 'blocked-on-<team>', for each team
  • Description: Marker tag for blocking dependencies on other teams
  • Type of project: Tag; red ! icon works well graphically

I'm happy to create these if there are no objections.

Blocked-on-Analytics
Blocked-on-Continuous-Integration
Blocked-on-Editing
Blocked-on-Frontend
Blocked-on-Fundraising-Tech
Blocked-on-Language
Blocked-on-MediaWiki-Core
Blocked-on-Mobile-Apps
Blocked-on-Mobile-Partners
Blocked-on-Mobile-Web
Blocked-on-Multimedia
Blocked-on-Operations
Blocked-on-Parsoid
Blocked-on-Performance
Blocked-on-RelEng
Blocked-on-Security
Blocked-on-Services
Blocked-on-Wikidata
Blocked-on-WikidataQuery

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added a project: Project-Admins.
GWicke changed Security from none to None.
GWicke updated the task description. (Show Details)
GWicke added a subscriber: GWicke.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Have added a list of each of the teams given a quick scan of previous SoS minutes. Have I got them all?

Qgil triaged this task as High priority.EditedDec 17 2014, 9:51 PM
Qgil added a project: Scrum-of-Scrums.
Qgil added a subscriber: Qgil.

I'm just concerned about goodwilling users and developers adding these tags to tasks unrelated to Scrum-of-Scrums, unaware of this specific process. If all these tags have a clear template description and you don't mind having to triage some occasional task landing accidentally there, I personally see no problem in this request, as long as all these teams are ready to use them actively (which is the case, as you all have agreed on a process).

Pinging @Aklapper, although we are approaching the RT migration period...

Please use a common format for all these projects: tag icon, yellow background, Title Case, dashes between words.

PS: ah, whoever fixed the labels was fast. :)

Please don't create the "blocked on platform" tag. I'm assuming people mean "Blocked on MediaWiki Core" when they say that.

GWicke added a comment.EditedDec 18 2014, 7:02 PM

I went ahead and created the first set of tags.

@Qgil: Your point on adding a clear description is well taken. I added a simple description that emphasizes that it is reserved fur urgent blockers only. I'm sure it can be improved.

Whatever solution we choose can be abused. But hey, I hear people built an encyclopedia by entrusting random strangers with edits. Maybe we can be a bit daring here as well, and re-evaluate if abuse turns out to be a significant problem in practice.

GWicke closed this task as Resolved.Dec 18 2014, 7:30 PM
GWicke claimed this task.

Resolving this request, as the first batch is done.

"Urgent" is not defined.

Nemo_bis removed a subscriber: Nemo_bis.Jan 6 2015, 11:40 PM
Milimetric moved this task from Scheduled to Done on the Scrum-of-Scrums board.Feb 25 2015, 6:56 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptJul 3 2016, 10:28 AM